## ros-iron-gazebo-ros 3.7.0

=== debian/changelog ===
ros-iron-gazebo-ros (3.7.0-3jammy) jammy; urgency=high

  * Fix gzserver launch file breaking when no ros args provided (#1395 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1395>)
  * Multiple nodes with same name issue (#1394 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1394>)
  * Expose launch parameter for ``params_file`` (#1391 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1391>)
  * Contributors: Brian Chen, Deepanshu Bansal, Jacob Perron

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 13 Jun 2022 07:00:00 -0000

ros-iron-gazebo-ros (3.6.0-3jammy) jammy; urgency=high

  * Fixes gazebo shutdown error when using nested launch files (#1376 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1376>)
  * Fix test failures (#1380 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1380>)
  * Fix spawn_entity_demo: use executable (#1349 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1349>)
  * Add runtime warning when user sets use_sim_time parameter
  * Add ROS parameter to toggle performance metrics in gazebo_ros (#1295 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1295>)
  * Deprecate -spawn_service_timeout option (#1238 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1238>)
  * Contributors: Aditya Pande, Daisuke Nishimatsu, Felix Exner, Jacob Perron

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 May 2022 07:00:00 -0000

ros-iron-gazebo-ros (3.5.2-3jammy) jammy; urgency=high

  * Remove slash from gazebo_ros scripts Python package name (#1251 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1251>)
  * Fix line length in gazebo_ros/test/CMakeLists.txt (#1249 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1249>)
  * gazebo_ros: use lxml in spawn_entity.py (#1221 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1221>)
    The python xml.etree.ElementTree library does not handle xml namespaces well,
    replacing namespaces of prefixed elements with ns0, ns1, etc. This switches
    to using lxml instead, which has the same syntax and is already used by other
    ros2 packages.  * Add a test
  * Fix tests for cyclonedds (#1228 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1228>)
    The default RMW implementation changed recently and some tests are now
    failing. This fixes the tests.  * Use KeepLast(1) with transient_local in
    tests There are some QoS incompatibilities in some tests that use
    SystemDefaultsQoS, so this changes them to use KeepLast(1) with
    transient_local instead. This fixes some of the test failures but not all.
    * test_sim_time: allow more startup messages
    * Fix QoS and initialization of joint state pub test
  * Fix executor to avoid random exceptions when shutting down (#1212 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1212>)
    * Fix executor to avoid random exceptions when shutting down
    * Add link to related issue in rclcpp
  * ros2: Only subscribe to /gazebo/performance_metrics when necessary (#1205 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1205>)
    We are currently subscribing to the /gazebo/performance_metrics topic
    even if there are no subscribers to the ROS topic forwarding this data.
    This changes gazebo_ros_init to only subscribe to the gazebo topic
    if there are any subscribers to the corresponding ROS topic.
    While advertiser callbacks are used in ROS 1 but are not yet in ROS2,
    here we use polling in the GazeboRosInitPrivate::PublishSimTime
    callback to check for subscribers since it is called for each Gazebo
    time step.
    This also helps workaround the deadlock documented in #1175 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1175> and
    osrf/gazebo#2902 <https://github.com/osrf/gazebo/issues/2902>.
    This also adds a macro to reduce duplication of the version checking
    logic.
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 07:00:00 -0000

ros-iron-gazebo-ros (3.5.1-3jammy) jammy; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1192 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1192>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Fixed Parameterized testing on Rolling (#1184 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1184>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * [ROS 2] Bridge to republish PerformanceMetrics in ROS 2 (#1147 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1147>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * [Windows] Add missing visibility control. (#1150 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1150>)
  * [ros2] Enable the force system on launch files (#1035 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1035>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * make compile wo/ warnings on osx (#1149 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1149>)
    Signed-off-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
  * Added lockstep argument to gzserver (#1146 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1146>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Karsten Knese, Louise Poubel, Sean Yen, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Nov 2020 08:00:00 -0000

ros-iron-gazebo-ros (3.5.0-3jammy) jammy; urgency=high


