=== debian/control ===
Source: ros-iron-gazebo-ros
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-gazebo-dev, ros-iron-gazebo-msgs, ros-iron-geometry-msgs <!nocheck>, ros-iron-launch-testing-ament-cmake <!nocheck>, ros-iron-rcl, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-rmw, ros-iron-ros2run <!nocheck>, ros-iron-sensor-msgs <!nocheck>, ros-iron-std-msgs <!nocheck>, ros-iron-std-srvs, ros-iron-tinyxml-vendor, ros-iron-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-iron-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-lxml, ros-iron-builtin-interfaces, ros-iron-gazebo-dev, ros-iron-gazebo-msgs, ros-iron-geometry-msgs, ros-iron-launch-ros, ros-iron-rcl, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-rmw, ros-iron-sensor-msgs, ros-iron-std-srvs, ros-iron-tinyxml-vendor, ros-iron-ros-workspace
Description: Utilities to interface with Gazebo through ROS.
